Skip to content

Get customer trade conditions

GET
/v1/api/customer/{code}/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq
  • $not
Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id

Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: tradeCondition.type



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • tradeCondition.type

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI